Module java.desktop
Package javax.swing.plaf

## Class InputMapUIResource

- java.lang.Object
- - javax.swing.InputMap
  - - javax.swing.plaf.InputMapUIResource

All Implemented Interfaces:
  `Serializable`, `UIResource`

    public class InputMapUIResource
    extends InputMap
    implements UIResource

A subclass of javax.swing.InputMap that implements UIResource. UI classes which provide a InputMap should use this class.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InputMapUIResource()` Constructs an `InputMapUIResource`.

### Method Summary

### Methods declared in class javax.swing.InputMap

`allKeys, clear, get, getParent, keys, put, remove, setParent, size`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputMapUIResource

    public InputMapUIResource()

Constructs an `InputMapUIResource`.